// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function AdministrationMenuIcon(props: React.SVGProps<SVGSVGElement>) {
  return (
    <svg
      aria-hidden
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <path
        d="M8.27624 9.78185C5.57746 9.78185 3.38846 7.58368 3.38846 4.89592C3.38846 2.20816 5.57746 0 8.27624 0C10.975 0 13.164 2.19817 13.164 4.88593C13.164 7.57369 10.965 9.77186 8.27624 9.77186V9.78185ZM8.27624 0.999167C6.12721 0.999167 4.38801 2.74771 4.38801 4.88593C4.38801 7.02415 6.13721 8.77269 8.27624 8.77269C10.4153 8.77269 12.1645 7.02415 12.1645 4.88593C12.1645 2.74771 10.4153 0.999167 8.27624 0.999167ZM0.999546 19.4838C0.999546 15.4771 4.25806 12.2098 8.27624 12.2098C9.38573 12.2098 10.4453 12.4496 11.4248 12.9292C11.6747 13.0491 11.9746 12.9492 12.0945 12.6994C12.2144 12.4496 12.1145 12.1499 11.8646 12.03C10.7451 11.4904 9.53567 11.2107 8.27624 11.2107C3.70831 11.2107 0 14.9276 0 19.4838C0 19.7635 0.2199 19.9833 0.499773 19.9833C0.779646 19.9833 0.999546 19.7635 0.999546 19.4838ZM18.3417 19.4838C17.8619 19.4838 17.4121 19.2939 17.0822 18.9642C16.7524 18.6345 16.5625 18.1749 16.5625 17.7052C16.5625 17.2356 16.7524 16.776 17.0822 16.4463C17.7519 15.7769 18.9414 15.7769 19.6111 16.4463C19.9409 16.776 20.1308 17.2356 20.1308 17.7052C20.1308 18.1749 19.9409 18.6345 19.6111 18.9642C19.2812 19.2939 18.8214 19.4838 18.3517 19.4838H18.3417ZM18.3417 16.9159C18.1318 16.9159 17.9319 16.9958 17.7819 17.1457C17.632 17.2956 17.552 17.4954 17.552 17.7052C17.552 17.9151 17.632 18.1149 17.7819 18.2648C18.0818 18.5545 18.6015 18.5545 18.8914 18.2648C19.0413 18.1149 19.1213 17.9151 19.1213 17.7052C19.1213 17.4954 19.0413 17.2956 18.8914 17.1457C18.7415 16.9958 18.5416 16.9159 18.3317 16.9159H18.3417ZM18.3417 23.98C17.9918 23.98 17.642 23.8601 17.3621 23.6503C17.0822 23.4405 16.8723 23.1407 16.7724 22.811L16.3925 21.572C16.3626 21.4821 16.3126 21.4122 16.2326 21.3722C16.1527 21.3322 16.0627 21.3122 15.9827 21.3322L14.7233 21.622C14.3735 21.7019 14.0136 21.6619 13.6938 21.5221C13.3739 21.3822 13.104 21.1324 12.9241 20.8326C12.7442 20.5229 12.6742 20.1732 12.7142 19.8235C12.7542 19.4738 12.9041 19.144 13.144 18.8843L14.0236 17.9351C14.0836 17.8651 14.1136 17.7852 14.1136 17.6953C14.1136 17.6053 14.0836 17.5154 14.0236 17.4555L13.144 16.5062C12.9041 16.2465 12.7542 15.9267 12.7142 15.577C12.6742 15.2273 12.7542 14.8676 12.9241 14.5679C13.094 14.2681 13.3739 14.0183 13.6938 13.8784C14.0236 13.7386 14.3735 13.6986 14.7233 13.7785L15.9927 14.0683C16.0727 14.0883 16.1627 14.0683 16.2426 14.0283C16.3226 13.9784 16.3726 13.9084 16.4025 13.8285L16.7824 12.5795C16.8823 12.2398 17.0922 11.95 17.3721 11.7402C17.9318 11.3206 18.7715 11.3206 19.3312 11.7402C19.6111 11.95 19.821 12.2498 19.9209 12.5795L20.3008 13.8185C20.3308 13.9084 20.3807 13.9784 20.4607 14.0283C20.5407 14.0783 20.6306 14.0883 20.7106 14.0683L21.97 13.7785C22.3199 13.6986 22.6697 13.7286 22.9995 13.8784C23.3194 14.0183 23.5893 14.2581 23.7692 14.5679C23.9391 14.8676 24.0191 15.2273 23.9791 15.577C23.9391 15.9267 23.7892 16.2565 23.5493 16.5162L22.6697 17.4654C22.6097 17.5354 22.5797 17.6153 22.5797 17.7052C22.5797 17.7952 22.6097 17.8851 22.6797 17.955L23.5593 18.9042C23.7992 19.154 23.9491 19.4938 23.9891 19.8335C24.0291 20.1832 23.9591 20.5329 23.7792 20.8426C23.5993 21.1524 23.3394 21.3922 23.0095 21.5321C22.6897 21.6719 22.3298 21.7119 21.99 21.632L20.7206 21.3422C20.6406 21.3222 20.5407 21.3422 20.4707 21.3822C20.3907 21.4221 20.3408 21.5021 20.3108 21.582L19.9309 22.831C19.831 23.1607 19.6211 23.4604 19.3412 23.6703C19.0613 23.8801 18.7115 24 18.3617 24L18.3417 23.98ZM16.0527 20.3131C16.2926 20.3131 16.5225 20.373 16.7324 20.4929C17.0323 20.6628 17.2522 20.9425 17.3521 21.2723L17.7319 22.5112C17.7719 22.6411 17.8519 22.761 17.9618 22.841C18.1817 23.0008 18.5116 23.0008 18.7315 22.841C18.8414 22.761 18.9214 22.6411 18.9614 22.5112L19.3412 21.2623C19.4412 20.9326 19.6611 20.6528 19.9609 20.4829C20.2608 20.3131 20.6106 20.2531 20.9405 20.3331L22.1999 20.6228C22.3298 20.6528 22.4698 20.6428 22.5997 20.5828C22.7297 20.5229 22.8296 20.433 22.8996 20.3131C22.9696 20.1932 22.9995 20.0533 22.9796 19.9134C22.9596 19.7735 22.8996 19.6436 22.8096 19.5437L21.93 18.5945C21.7001 18.3447 21.5702 18.015 21.5702 17.6753C21.5702 17.3356 21.7001 17.0058 21.93 16.756L22.8196 15.8068C22.9196 15.7069 22.9696 15.577 22.9895 15.4371C23.0095 15.2973 22.9796 15.1574 22.9096 15.0375C22.8396 14.9176 22.7397 14.8276 22.6097 14.7677C22.4798 14.7077 22.3398 14.6978 22.2099 14.7277L20.9505 15.0175C20.6206 15.0974 20.2708 15.0475 19.9709 14.8676C19.6711 14.6978 19.4512 14.418 19.3512 14.0883L18.9714 12.8493C18.9314 12.7194 18.8514 12.5995 18.7415 12.5196C18.5216 12.3597 18.1917 12.3597 17.9718 12.5196C17.8619 12.5995 17.7819 12.7194 17.7419 12.8493L17.3621 14.0983C17.2622 14.428 17.0423 14.6978 16.7524 14.8676C16.4625 15.0375 16.1127 15.0974 15.7728 15.0175L14.5034 14.7277C14.3735 14.6978 14.2335 14.7077 14.1036 14.7677C13.9736 14.8276 13.8737 14.9176 13.8037 15.0375C13.7338 15.1574 13.7038 15.2973 13.7238 15.4371C13.7438 15.577 13.7937 15.6969 13.8937 15.8068L14.7733 16.756C15.0032 17.0058 15.1331 17.3356 15.1331 17.6753C15.1331 18.015 15.0032 18.3447 14.7733 18.5945L13.8837 19.5537C13.7937 19.6536 13.7338 19.7835 13.7138 19.9234C13.6938 20.0633 13.7238 20.2032 13.7937 20.3231C13.8637 20.443 13.9736 20.5329 14.0936 20.5928C14.2235 20.6528 14.3635 20.6628 14.4934 20.6328L15.7528 20.343C15.8528 20.3231 15.9527 20.3031 16.0527 20.3031V20.3131Z"
        fill="white"
      />
    </svg>
  );
}
